跳至內容
ShopentlyLearn

促銷 · 建立

建立促銷.

POST/api/v1/discounts/promotions

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/discounts/promotions \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: learn-create_campaign_api_v1_discounts_promotions_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"markets":[{"currency":"PLN","market_id":"poland","minor_units":2}],"name":"Autumn guide offer"}'

回應

{
  "data": {
    "deleted": false,
    "id": "example-campaign",
    "version": null
  },
  "meta": {
    "locale": "example",
    "market_code": "example",
    "market_id": "poland",
    "pagination": {
      "has_more": false,
      "limit": 1,
      "next_cursor": null
    },
    "request_id": "learn-example-request"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
建立促銷discounts.promotions:create